# containers.podman.podman_containers module – Manage podman containers in a batch

Note

This module is part of the containers.podman collection (version 1.16.2).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`. You need further requirements to be able to use this module, see Requirements for details.

To use it in a playbook, specify: `containers.podman.podman_containers`.

New in containers.podman 1.4.0

## Synopsis

- Manage groups of podman containers

## Requirements

The below requirements are needed on the host that executes this module.

- podman

## Parameters

Parameter | Comments
--- | ---
containers list / elements=dictionary / required | List of dictionaries with data for running containers for podman_container module.

debug

boolean

Return additional information which can be helpful for investigations.

Choices:

- `false` ← (default)

- `true`

## Examples

    - name: Run three containers at once
      podman_containers:
        containers:
          - name: alpine
            image: alpine
            command: sleep 1d
          - name: web
            image: nginx
          - name: test
            image: python:3.10-alpine
            command: python -V

### Authors

- Sagi Shnaidman (@sshnaidm)

### Collection links

- Issue Tracker
- Repository (Sources)